function Pols = LaguerrePolynomials(max_deg)

%

Pols = cell(max_deg + 1,1);
L0 = [1];
L1 = [-1, 1];
Pols{1} = L0;
if max_deg > 0
    Pols{2} = L1;
end
if max_deg > 1
    for k = 1:(max_deg - 1)
        Pols{k + 2} = (-[Pols{k + 1}, 0] + (2 * k + 1) * [0, Pols{k + 1}] - k * [0, 0, Pols{k}]) / (k + 1);
    end
end

end